package com.xinelu.manage.mapper.chatrecordread;

import com.xinelu.manage.domain.chatrecordread.ChatRecordRead;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
* @author haown
* @description 针对表【chat_record_read(通知公告、健康推送已读表)】的数据库操作Mapper
* @createDate 2023-11-10 09:49:08
* @Entity com.xinelu.manage.domain.chatrecordread.ChatRecordRead
*/
public interface ChatRecordReadMapper {

    int deleteByPrimaryKey(Long id);

    int insertList(@Param("recordList") List<ChatRecordRead> recordList);

    int insertSelective(ChatRecordRead record);

    ChatRecordRead selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(ChatRecordRead record);

    int updateByPrimaryKey(ChatRecordRead record);

	List<ChatRecordRead> getList(ChatRecordRead chatRecordRead);

}
